
Regular expressions

**List vs Tuple:**<br>
Lists are mutable (can be modified) and use square brackets [].<br>
Tuples are immutable (cannot be modified) and use parentheses ().





 use virtualenv (or python -m venv)

pip3 install virtualenv
virtualenv --python=python3 venv
source venv/bin/activate
pip install pyyaml
python env/common_config/add_imagepullsecret.py


brew install python
/Library/Developer/CommandLineTools/usr/bin/python3 -m pip install --upgrade pip
pip3 install -r requirements.txt

pip3 install boto3
pip3 install utils 




### Update Go package
1. Edit go.mod file
2. Run 'go get <go_package_name>
3. Run 'go mod tidy
4. Commit everything 
